<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{116,130,758,448}</property>
    <property name="Name">[SE_PROD.tel]</property>
    <property name="Caption">[Inclusao de Produto]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">
{modus,osoSayPDIVISAO,osoSayPPRINCFORN,osoSayPGPRECO}    </property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[preget_prd()
if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) ]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[Dlg_BtnOkOuCancel(modus,oDlg,{||posinc_prd()})]]>
  </method>
  <method name="onFormExit">
    <![CDATA[MODUS=="Confirmou_Deletar" ]]>
  </method>
  <part class="group">
    <style>
      <property name="Geometry">{19,22,720,61}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{97,40,62,23}</property>
        <property name="Name">[oPCOD]</property>
        <property name="varName">[m_PCOD]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{323,40,398,23}</property>
        <property name="Name">[oPDESC]</property>
        <property name="varName">[m_PDESC]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="nMaxLength">30</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[alltrim(m_pdesc)<>""]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{235,47,84,16}</property>
        <property name="Name">[oSayPDESC]</property>
        <property name="Caption">[Descricao.:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{25,47,65,16}</property>
        <property name="Name">[oSayPCOD]</property>
        <property name="Caption">[Codigo....:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,87,84,16}</property>
      <property name="Name">[oSayPDIVISAO]</property>
      <property name="Caption">[Divisao...:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,107,84,16}</property>
      <property name="Name">[oSayPPRINCFORN]</property>
      <property name="Caption">[Fabricante:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">7</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,127,84,16}</property>
      <property name="Name">[oSayPGPRECO]</property>
      <property name="Caption">[Gp Precos.:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">8</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,147,84,16}</property>
      <property name="Name">[oSaypdic6]</property>
      <property name="Caption">[Cod Barras:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">9</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{285,88,55,16}</property>
      <property name="Name">[oSayPUNIDADE]</property>
      <property name="Caption">[Und.......:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">10</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{273,107,84,16}</property>
      <property name="Name">[oSayPITENS]</property>
      <property name="Caption">[Fracao.....]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">11</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{273,127,84,16}</property>
      <property name="Name">[oSayPBLOQVENDA]</property>
      <property name="Caption">[Vnd Bloq..?]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">12</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{427,87,77,16}</property>
      <property name="Name">[oSayPCATEGORIA]</property>
      <property name="Caption">[CategFisc:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">14</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{427,147,77,16}</property>
      <property name="Name">[oSayPipient]</property>
      <property name="Caption">[%Ipi Cpra:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">17</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,187,84,16}</property>
      <property name="Name">[oSayPVLUVENDA]</property>
      <property name="Caption">[Pco Venda.:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">18</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,207,84,16}</property>
      <property name="Name">[oSayPVLUVEN3]</property>
      <property name="Caption">[Pco Custo.:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">19</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,227,84,16}</property>
      <property name="Name">[oSayPVLUtab]</property>
      <property name="Caption">[Pco Compra:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">20</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,247,84,16}</property>
      <property name="Name">[oSayPdscCompr]</property>
      <property name="Caption">[%Dsc Compr:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">21</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,167,91,16}</property>
      <property name="Name">[oSayPDESCONTO]</property>
      <property name="Caption">[Desc Permit:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">22</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,187,91,16}</property>
      <property name="Name">[oSaypdescfarm]</property>
      <property name="Caption">[Desc Sacrif:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">23</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,207,91,16}</property>
      <property name="Name">[oSaypdesccomp]</property>
      <property name="Caption">[Desc Compra:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">24</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,227,91,16}</property>
      <property name="Name">[oSaypdscminimo]</property>
      <property name="Caption">[Desc Minimo:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">25</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,247,91,16}</property>
      <property name="Name">[oSayPDESCBON]</property>
      <property name="Caption">[Desc Avista:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">26</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,267,91,16}</property>
      <property name="Name">[oSaypvluven2]</property>
      <property name="Caption">[Pr.Promocao:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">27</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{203,287,91,16}</property>
      <property name="Name">[oSaypdataprog]</property>
      <property name="Caption">[Dt Promocao:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">28</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{427,187,84,16}</property>
      <property name="Name">[oSayPCOMISVIS]</property>
      <property name="Caption">[%Comis Vis:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">29</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{427,207,84,16}</property>
      <property name="Name">[oSayPCOMISPRA]</property>
      <property name="Caption">[%Comis Prz:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">30</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,307,84,16}</property>
      <property name="Name">[oSayPemin]</property>
      <property name="Caption">[Est. Min..:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">33</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,327,84,16}</property>
      <property name="Name">[oSayPemax]</property>
      <property name="Caption">[Est. Max..:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">34</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{14,347,84,16}</property>
      <property name="Name">[oSayPREPOSICAO]</property>
      <property name="Caption">[Dias Estoq:]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">35</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{154,88,119,16}</property>
      <property name="Name">[osoSayPDIVISAO]</property>
      <property name="Caption">[...]</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="700"/>
      </property>
      <property name="Border">.T.</property>
      <property name="TabIndex">45</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{154,107,119,16}</property>
      <property name="Name">[osoSayPPRINCFORN]</property>
      <property name="Caption">[...]</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="700"/>
      </property>
      <property name="Border">.T.</property>
      <property name="TabIndex">46</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{154,127,119,16}</property>
      <property name="Name">[osoSayPGPRECO]</property>
      <property name="Caption">[...]</property>
      <property name="font">
        <font name="Arial" width="0" height="-12" weight="700"/>
      </property>
      <property name="Border">.T.</property>
      <property name="TabIndex">47</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,87,35,23}</property>
      <property name="Name">[oPDIVISAO]</property>
      <property name="varName">[m_PDIVISAO]</property>
      <property name="nMaxLength">4</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">50</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',7,20,'SDDESC','@S25','',,oPDIVISAO,osoSayPDIVISAO)]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{136,87,16,16}</property>
      <property name="Name">[oboPDIVISAO]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">51</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',7,20,'SDDESC','@S25','','EXIBA',oPDIVISAO,osoSayPDIVISAO)]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,107,35,23}</property>
      <property name="Name">[oPPRINCFORN]</property>
      <property name="varName">[m_PPRINCFORN]</property>
      <property name="nMaxLength">4</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">52</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',8,20,'CP_FANTASI','@S25','',,oPPRINCFORN,osoSayPPRINCFORN)]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{136,107,16,16}</property>
      <property name="Name">[oboPPRINCFORN]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">53</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',8,20,'CP_FANTASI','@S25','','EXIBA',oPPRINCFORN,osoSayPPRINCFORN)]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,127,35,23}</property>
      <property name="Name">[oPGPRECO]</property>
      <property name="varName">[m_PGPRECO]</property>
      <property name="nMaxLength">3</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">54</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SE_GPRE','PSEGPRE','M_PGPRECO','N','S',9,20,'DESCRICAO','@S25','',,oPGPRECO,osoSayPGPRECO)]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{136,127,16,16}</property>
      <property name="Name">[oboPGPRECO]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">55</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('SE_GPRE','PSEGPRE','M_PGPRECO','N','S',9,20,'DESCRICAO','@S25','','EXIBA',oPGPRECO,osoSayPGPRECO)]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,147,98,23}</property>
      <property name="Name">[opdic6]</property>
      <property name="varName">[m_pdic6]</property>
      <property name="nMaxLength">13</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">56</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{357,87,42,23}</property>
      <property name="Name">[oPUNIDADE]</property>
      <property name="varName">[m_PUNIDADE]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">57</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{357,107,35,23}</property>
      <property name="Name">[oPITENS]</property>
      <property name="varName">[m_PITENS]</property>
      <property name="nMaxLength">4</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">58</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{357,127,14,18}</property>
      <property name="Name">[oPBLOQVENDA]</property>
      <property name="varName">[m_PBLOQVENDA]</property>
      <property name="nMaxLength">1</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">59</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{504,87,28,23}</property>
      <property name="Name">[oPCATEGORIA]</property>
      <property name="varName">[m_PCATEGORIA]</property>
      <property name="nMaxLength">3</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">61</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{504,147,42,18}</property>
      <property name="Name">[oPipient]</property>
      <property name="varName">[m_Pipient]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">64</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,187,63,18}</property>
      <property name="Name">[oPVLUVENDA]</property>
      <property name="varName">[m_PVLUVENDA]</property>
      <property name="cPicture">[99999.999]</property>
      <property name="nMaxLength">8</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">65</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,207,63,18}</property>
      <property name="Name">[oPVLUVEN3]</property>
      <property name="varName">[m_PVLUVEN3]</property>
      <property name="cPicture">[99999.999]</property>
      <property name="nMaxLength">8</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">66</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,227,63,18}</property>
      <property name="Name">[oPVLUtab]</property>
      <property name="varName">[m_PVLUtab]</property>
      <property name="cPicture">[99999.999]</property>
      <property name="nMaxLength">8</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">67</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,247,63,18}</property>
      <property name="Name">[oPdscCompr]</property>
      <property name="varName">[m_PdscCompr]</property>
      <property name="nMaxLength">8</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">68</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{294,167,56,18}</property>
      <property name="Name">[oPDESCONTO]</property>
      <property name="varName">[m_PDESCONTO]</property>
      <property name="nMaxLength">7</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">69</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{294,187,42,18}</property>
      <property name="Name">[opdescfarm]</property>
      <property name="varName">[m_pdescfarm]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">70</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{294,207,42,18}</property>
      <property name="Name">[opdesccomp]</property>
      <property name="varName">[m_pdesccomp]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">71</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{294,227,42,18}</property>
      <property name="Name">[opdscminimo]</property>
      <property name="varName">[m_pdscminimo]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">72</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{294,247,42,18}</property>
      <property name="Name">[oPDESCBON]</property>
      <property name="varName">[m_PDESCBON]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">73</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{294,267,56,18}</property>
      <property name="Name">[opvluven2]</property>
      <property name="varName">[m_pvluven2]</property>
      <property name="cPicture">[99999.999]</property>
      <property name="nMaxLength">7</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">74</property>
    </style>
  </part>
  <part class="datepicker">
    <style>
      <property name="Geometry">{294,287,84,18}</property>
      <property name="Name">[opdataprog]</property>
      <property name="varName">[m_pdataprog]</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">75</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{511,187,42,18}</property>
      <property name="Name">[oPCOMISVIS]</property>
      <property name="varName">[m_PCOMISVIS]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">76</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{511,207,42,18}</property>
      <property name="Name">[oPCOMISPRA]</property>
      <property name="varName">[m_PCOMISPRA]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">77</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,307,42,18}</property>
      <property name="Name">[oPemin]</property>
      <property name="varName">[m_Pemin]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">80</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,327,42,18}</property>
      <property name="Name">[oPemax]</property>
      <property name="varName">[m_Pemax]</property>
      <property name="nMaxLength">5</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">81</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{98,347,28,18}</property>
      <property name="Name">[oPREPOSICAO]</property>
      <property name="varName">[m_PREPOSICAO]</property>
      <property name="nMaxLength">3</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">82</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{533,387,98,32}</property>
      <property name="Name">[oButtOK]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[Confirma]</property>
      <property name="TabIndex">83</property>
    </style>
    <method name="onClick">
      <![CDATA[Dlg_BtnOk(modus,oDlg)]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{645,387,98,32}</property>
      <property name="Name">[oButtCancel]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[Cancela]</property>
      <property name="TabIndex">90</property>
    </style>
    <method name="onClick">
      <![CDATA[Dlg_BtnCancel(modus,oDlg)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{247,9,265,19}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Cadastro e Alteração de produtos]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="700"/>
      </property>
      <property name="TabIndex">91</property>
    </style>
  </part>
</part>
